postgis.enable_outdb_rasters
Prev | 8.23. Grand Unified Custom Variables (GUCs) | Next

## Name

postgis.enable_outdb_rasters — A boolean configuration option to enable access to out-db raster bands.

## Description

A boolean configuration option to enable access to out-db raster bands. This option can be set in PostgreSQL's configuration file: postgresql.conf. It can also be set by connection or transaction.

The initial value of `postgis.enable_outdb_rasters` may also be set by passing the environment variable `POSTGIS_ENABLE_OUTDB_RASTERS` with a non-zero value to the process starting PostgreSQL.

Even if `postgis.enable_outdb_rasters` is True, the GUC `postgis.gdal_enabled_drivers` determines the accessible raster formats.

In the standard PostGIS installation, `postgis.enable_outdb_rasters` is set to False.

Availability: 2.2.0

## Examples

Set and reset `postgis.enable_outdb_rasters` for current session

    SET postgis.enable_outdb_rasters TO True;
    SET postgis.enable_outdb_rasters = default;
    SET postgis.enable_outdb_rasters = True;
    SET postgis.enable_outdb_rasters = False;

Set for specific database

    ALTER DATABASE gisdb SET postgis.enable_outdb_rasters = true;

Setting for whole database cluster. You need to reconnect to the database for changes to take effect.

     --writes to postgres.auto.conf
    ALTER SYSTEM postgis.enable_outdb_rasters = true;
     --Reloads postgres conf
    SELECT pg_reload_conf();

## See Also

postgis.gdal_enabled_drivers postgis.gdal_vsi_options

Prev | Up | Next
postgis.gdal_enabled_drivers | Home | postgis.gdal_vsi_options